fbpx

VMware Security Advisories – Diciembre 2020

VMware Security Advisories – Diciembre 2020

Fecha de publicación: Diciembre 6, 2021.

VMSA-2020-0027.2

2020-11-23

1. Productos afectados
  • VMware Workspace One Access (acceso)
  • Conector de acceso de VMware Workspace One (conector de acceso)
  • Administrador de identidades de VMware (vIDM)
  • Conector de VMware Identity Manager (conector vIDM)
  • Fundación VMware Cloud
  • vRealize Suite Lifecycle Manager
2. Introducción

Se informó de forma privada a VMware sobre una vulnerabilidad de inyección de comandos. Hay soluciones alternativas disponibles para abordar esta vulnerabilidad en los productos VMware afectados.

3a. Vulnerabilidad de inyección de comandos en el configurador administrativo de VMware Workspace One Access, Access Connector, Identity Manager e Identity Manager Connector (CVE-2020-4006)

Descripción

VMware Workspace One Access, Access Connector, Identity Manager e Identity Manager Connector contienen una vulnerabilidad de inyección de comandos en el configurador administrativo. VMware ha evaluado este problema como de gravedad “Importante” con una puntuación base máxima de CVSSv3 de 7,2.

Vectores de ataque conocidos

Un actor malintencionado con acceso de red al configurador administrativo en el puerto 8443 y una contraseña válida para la cuenta de administrador del configurador puede ejecutar comandos con privilegios sin restricciones en el sistema operativo subyacente. Esta cuenta es interna de los productos afectados y se establece una contraseña en el momento de la implementación. Un actor malintencionado debe poseer esta contraseña para intentar explotar CVE-2020-4006. En T1586 de la base de datos MITRE ATT & CK se documentan ejemplos de cómo un actor malintencionado podría obtener esta contraseña .

Resolución

Las correcciones para CVE-2020-4006 se documentan en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ a continuación.

Soluciones alternativas

Las soluciones provisionales para CVE-2020-4006 se enumeran en la columna ‘Soluciones provisionales’ de la ‘Matriz de respuesta’ a continuación.

Notas

[1] Estos conjuntos de productos implementan los componentes afectados que se enumeran en la tabla 3a. Las correcciones de KB81754 o las soluciones provisionales de KB81731 deben aplicarse directamente a los componentes afectados que estos conjuntos de productos han implementado siguiendo las mismas instrucciones.

[2] La gravedad y la puntuación de CVSS para CVE-2020-4006 se han actualizado para reflejar que un actor malintencionado debe poseer credenciales válidas para la cuenta de administrador del configurador para intentar la explotación de CVE-2020-4006.

Matriz de respuesta 3a:

ProductoVersiónQue se ejecuta enIdentificador CVE[2] CVSSv3[2] GravedadVersión fijaSoluciones alternativasDocumentación adicional
Acceso20.10LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
Acceso20.01LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector de acceso20.10, 20.01.0.0, 20.01.0.1VentanasCVE-2020-4006N / AN / AInafectadoN / AN / A
vIDM3.3.3LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
vIDM3.3.2LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
vIDM3.3.1LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM19.03.0.0, 19.03.0.1VentanasCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM3.3.3VentanasCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM3.3.2LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM3.3.2VentanasCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM3.3.1LinuxCVE-2020-40067.2Importante KB81754KB81731Ninguna
Conector vIDM3.3.1VentanasCVE-2020-40067.2Importante KB81754KB81731Ninguna

Conjuntos de productos afectados que implementan componentes de Response Matrix 3a:

ProductoVersiónQue se ejecuta enIdentificador CVE[2] CVSSv3[2] GravedadVersión fijaSoluciones alternativasDocumentación adicional
[1] VMware Cloud Foundation (vIDM)4.xNingunaCVE-2020-40067.2Importante KB81754KB81731Ninguna
[1] vRealize Suite Lifecycle Manager (vIDM)8.xNingunaCVE-2020-40067.2Importante KB81754KB81731Ninguna
4. Referencias

Resolución:
https://kb.vmware.com/s/article/81754

Soluciones alternativas:
https://kb.vmware.com/s/article/81731

Enlaces del diccionario Mitre CVE:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-4006

PRIMERA calculadora CVSSv3:
CVE-2020-4006 –  https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/ C: H / I: H / A: H

Base de datos MITRE ATT & CK:
https://attack.mitre.org/techniques/T1586/

VMSA-2020-0028

2020-12-15

1. Productos afectados

Sensor VMware Carbon Black Cloud macOS

2. Introducción

Se informó de forma privada a VMware sobre un problema de sobrescritura de archivos que afectaba a la instalación del sensor Carbon Black Cloud Sensor para macOS. El problema se ha solucionado en la última versión del instalador.

3. Problema de sobrescritura del archivo del instalador de macOS Sensor de VMware Carbon Black Cloud (CVE-2020-4008)

Descripción

El instalador del sensor macOS para VMware Carbon Black Cloud maneja ciertos archivos de forma insegura. VMware ha evaluado que la gravedad de este problema se encuentra en el rango de gravedad baja con una puntuación base CVSSv3 de 3,6.

Vectores de ataque conocidos

Un actor malintencionado que tiene acceso local al punto final en el que se va a instalar un sensor macOS puede sobrescribir un número limitado de archivos con la salida de la instalación del sensor. El actor malintencionado tendría que engañar a la víctima para que instale malware a fin de obtener dicho acceso. La explotación de este problema solo puede ocurrir en un momento específico durante el proceso de instalación y depende de condiciones específicas.

Resolución

Para remediar CVE-2020-4008, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ a continuación.

Matriz de respuesta

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
Sensor macOS Carbon Black Cloud3.4.3Mac OSCVE-2020-40083.6Bajo 3.5.1NingunaNinguna
4. Referencias

Versión (s) fija (s) y notas de la versión:

https://community.carbonblack.com/t5/Carbon-Black-Cloud-macOS-Sensor/tkb-p/release_notes_macos

Documentación adicional:

Ninguna

Enlaces del diccionario Mitre CVE:

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-4008

PRIMERA Calculadora CVSSv3:

https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:L/A: L

VMSA-2020-0029

2020-12-17

1. Productos afectados
  • VMware ESXi
  • VMware Estación de trabajo
  • VMware Fusion
  • Fundación VMware Cloud
2. Introducción

Una vulnerabilidad de denegación de servicio en VMware ESXi, Workstation y Fusion se informó de forma privada a VMware. Hay actualizaciones disponibles para abordar esta vulnerabilidad en los productos VMware afectados.

3a. Vulnerabilidad de denegación de servicio debido a una validación de entrada incorrecta (CVE-2020-3999)

Descripción

VMware ESXi, Workstation y Fusion contienen una vulnerabilidad de denegación de servicio debido a una validación de entrada incorrecta en GuestInfo. VMware ha evaluado que la gravedad de este problema se encuentra en el  rango de gravedad baja con una puntuación base máxima de CVSSv3 de  3,3.

Vectores de ataque conocidos

Un actor malintencionado con acceso de privilegios de usuario normal a una máquina virtual puede bloquear el proceso vmx de la máquina virtual y provocar una condición de denegación de servicio.

Resolución

Para remediar CVE-2020-3999, aplique los parches enumerados en la columna ‘Versión fija’ de la ‘Matriz de respuesta’ que se encuentra a continuación. 

Matriz de respuesta 3a:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
ESXi7.0NingunaCVE-2020-39993.3Bajo ESXi70U1c-17325551NingunaNinguna
ESXi6,7NingunaCVE-2020-3999N / AN / AInafectadoN / AN / A
ESXi6.5NingunaCVE-2020-3999N / AN / AInafectadoN / AN / A
Puesto de trabajo16.xNingunaCVE-2020-39993.3Bajo 16,0NingunaNinguna
Puesto de trabajo15.xNingunaCVE-2020-39993.3Bajo 15.5.7NingunaNinguna
Fusión12.xOS XCVW-2020-39993.3Bajo 12,0NingunaNinguna
Fusión11.xOS XCVE-2020-39993.3Bajo 11.5.7NingunaNinguna

Conjuntos de productos afectados que implementan componentes de Response Matrix 3a:

ProductoVersiónQue se ejecuta enIdentificador CVECVSSv3GravedadVersión fijaSoluciones alternativasDocumentación adicional
Fundación en la nube (ESXi)4.xNingunaCVE-2020-39993.3Bajo Parche pendienteNingunaNinguna
Fundación en la nube (ESXi)3.xNingunaCVE-2020-3999N / AN / AInafectadoN / AN / A
4. Referencias

Versión de parche de VMware ESXi 7.0 ESXi70U1c-17325551
https://my.vmware.com/group/vmware/patch
https://docs.vmware.com/en/VMware-vSphere/7.0/rn/vsphere-esxi-70u1c.html

Descargas y documentación de VMware Workstation Pro 16.0  :
https://www.vmware.com/go/downloadworkstation

https://docs.vmware.com/en/VMware-Workstation-Pro/index.html

Descargas y documentación de VMware Workstation Player 16.0  :
https://www.vmware.com/go/downloadplayer
https://docs.vmware.com/en/VMware-Workstation-Player/index.htmlVMware

Estación de trabajo Pro 15.5.7

https://www.vmware.com/go/downloadworkstationhttps://docs.vmware.com/en/VMware-Workstation-Pro/index.html

VMware Workstation Player 15.5.7
https://www.vmware.com/go/downloadplayer
https://docs.vmware.com/en/VMware-Workstation-Player/index.html

Descargas y documentación de VMware Fusion 12.0  :
https://www.vmware.com/go/downloadfusion
https://docs.vmware.com/en/VMware-Fusion/index.html

VMware Fusion 11.5.7

Descargas y documentación:
https://www.vmware.com/go/downloadfusion
https://docs.vmware.com/en/VMware-Fusion/index.html

Enlaces del diccionario Mitre CVE:

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-3999

PRIMERA Calculadora CVSSv3:

CVE-2020-3999 –  https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/ Yo: N / A: L

Fuente: VMware

Alguna duda o información que necesites sobre este tema, contáctanos por cualquiera de nuestro medios disponibles. ¡Estaremos encantados de ayudarte!